Subject: Re: [PATCH v2] doc(send-email): use correct name of the --signed-off-by-cc in git send-email doc

From: Matěj Cepl <[email-masked]>
Date: Tue, 18 Feb 2025 16:21:06 +0100

On Tue Feb 18, 2025 at 12:25 PM CET, Patrick Steinhardt wrote:
> I know, we're quite pedantic about commit messages over here, but please
> bear with us :) How about this instead:

No, I don’t think you are and I don’t think I will. There are no
rules, there are people who are in and can do whatever they want
to do and anybody who dares to contribute for the first time is
needlessly harrassed. See this:

mitmanek:git (git-send-email-manpage-fix) $ git log --oneline --follow Documentation/git-send-email.adoc |head
f18690968f doc(send-email): use correct name of the --signed-off-by-cc in git send-email doc
1f010d6bdf doc: use .adoc extension for AsciiDoc files
7ffcbafbf3 send-email: document --mailmap and associated configuration
c038a6f1d7 send-email: teach git send-email option to translate aliases
0620ae0f5b doc: format alternatives in synopsis
82d75402d5 documentation: send-email: use camel case consistently
2162f9f6f8 doc: enforce dashes in placeholders
d05b08cd52 doc: switch links to https
3ec6167567 send-email: handle to/cc/bcc from --compose message
e0c7e2c326 doc/send-email: mention handling of "reply-to" with --compose
cf6cac2005 documentation: wording improvements
ba92106e93 send-email: add --header-cmd, --no-header-cmd options
839ebad442 send-email docs: Remove mention of discontinued gmail feature
ba4324c4e1 e-mail workflow: Message-ID is spelled with ID in both capital letters
a2634646eb docs: git-send-email: difference between ssl and tls smtp-encryption
bac1d52cfe send-email docs: de-duplicate configuration sections
a2ce608244 send-email docs: add format-patch options
cd5b33fbdc git-send-email: add option to specify sendmail command
155067ab4f git-send-email.txt: mention less secure app access with Gmail
3abd4a67d9 Documentation: stylistically normalize references to Signed-off-by:
mitmanek:git (git-send-email-manpage-fix) $ 

This is not being pedantic about anything. And all that in the
email-driven project, where changing the patch before applying
is absolutely no problem whatsoever. And all that harassment for
three character change.

This harassment and complete NIH-syndrom ruling everything (git
is the only project I have met so far, which didn’t settle on
the vaguely K&R style for shell scripting, but why not to pester
newbies with need to have specific settings in everything just
for this one project, right?) leads me to abandoning this and
couple of other attempts to contribute. Of course, accepting
conventional commits (the only real standard in commit messages I
know about) is beneath your station in life.

Have a nice day,

Matěj

-- 
http://matej.ceplovi.cz/blog/, @[email-masked]
GPG Finger: 3C76 A027 CA45 AD70 98B5  BC1D 7920 5802 880B C9D8
 
Afraid to die alone?
Become a bus driver.
  -- alleged easter egg in notepad++